MASTER YOUR CASTLE with your new build or reno project
Enter competition

What software package is required to configure a STBNIC2212?

FA198252

21/06/2018

To configure the STBNIC2212 a minimum version v4.0 of Advantys configuration software will be needed.